package com.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.shigongli.common.StringUtils;
import com.shigongli.constants.StatusConstant;
import com.shigongli.entity.TaPerson;
import com.shigongli.entity.TaShopKeeper;
import com.shigongli.mapper.TaPersonMapper;
import com.shigongli.service.ITaPersonService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 人员表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-12-11
 */
@Service
public class TaPersonServiceImpl extends ServiceImpl<TaPersonMapper, TaPerson> implements ITaPersonService {

    @Autowired
    TaPersonMapper taPersonMapper;

    @Override
    public TaPerson getByOpenId(String openid) {
        return taPersonMapper.getByOpenId(openid);
    }

    @Override
    public TaPerson getByPhone(String phone) {
        if (StringUtils.isEmpty(phone)) {
            return null;
        }

        QueryWrapper<TaPerson> queryWrapper = new QueryWrapper<TaPerson>()
                .eq("phone", phone)
                .eq("status", StatusConstant.NORMAL);

        return getOne(queryWrapper);
    }
}
