package com.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.shigongli.constants.StatusConstant;
import com.shigongli.entity.TaPerson;
import com.shigongli.entity.TaShopKeeper;
import com.shigongli.mapper.TaShopKeeperMapper;
import com.shigongli.service.ITaShopKeeperService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 店主 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-12-11
 */
@Service
public class TaShopKeeperServiceImpl extends ServiceImpl<TaShopKeeperMapper, TaShopKeeper> implements ITaShopKeeperService {

    @Override
    public void bindPerson(TaPerson taPerson) {
        List<TaShopKeeper> shopKeeperList = getByPhone(taPerson.getPhone());

        if (null == shopKeeperList) {
            return ;
        }

        for (TaShopKeeper shopKeeper: shopKeeperList) {
            shopKeeper.setPersonId(taPerson.getPersonId());
            updateById(shopKeeper);
        }
    }

    @Override
    public List<TaShopKeeper> getByPhone(String phone) {
        QueryWrapper<TaShopKeeper> queryWrapper = new QueryWrapper<TaShopKeeper>()
                .eq("phone", phone)
                .eq("status", StatusConstant.NORMAL);

        return list(queryWrapper);
    }
}
